Jump to content

Library sync thread has exited!


Hopsakee
 Share

Recommended Posts

Hopsakee

I've run into the following error:

 

Library sync thread has exited!
You should restart Kodi now. Please report this to the forum.

 

I think it has to do with my music library.

I get this error every time I start Kodi.

I get this error on my Laptop and on my android (Wetek Core) machine.

My laptop runs Windows 10, with Kodi 16.1

My Wetek Core runs on android (I think lollipop) and also has Kodi 16.1.

 

I attached the log and hope you can figure it out. If I can help in any way. Please let me now.

kodi.log

Edited by Hopsakee
Link to comment
Share on other sites

imadunatic

You're not alone, all my installations started doing the same thing last night after my server updated at 825 pm, I'm guessing it's related to the 3.0.6000 server release.

 

Resetting your local database buys some time, but eventually (usually when something is added and triggers a database update) this error will pop again and it won't sync. I've also attached my logs for the devs, if it helps. 

 

Edit: Was on stable, testing beta to see if this is possibly related to those of us that missed the "library sync thread has exited" that occurred with an earlier server update. 

library sync error logs.zip

spmc(1).log

Edited by imadunatic
Link to comment
Share on other sites

Angelblue05

@@Hopsakee @@imadunatic

 

Your error in log has already been fixed in beta. Can you give it a try and confirm it works ok?

 

As soon as you confirm, I will make a new stable build. Thanks!

 

You both can grab it off the no sideloading method or grab the zip here and install over: https://github.com/MediaBrowser/plugin.video.emby/releases/tag/2.2.16

  • Like 1
Link to comment
Share on other sites

imadunatic

@@Hopsakee @@imadunatic

 

Your error in log has already been fixed in beta. Can you give it a try and confirm it works ok?

 

As soon as you confirm, I will make a new stable build. Thanks!

 

You both can grab it off the no sideloading method or grab the zip here and install over: https://github.com/MediaBrowser/plugin.video.emby/releases/tag/2.2.16

@@Angelblue05, I updated to beta this morning around 8:30, resynced all databases and it's been nothing but smooth sailing all day. Looks like I somehow dodged a bullet back when everyone else was having this issue and I missed it on the forums. 

 

@@Hopsakee, sorry for hijacking your thread. Hopefully this works for you also. 

  • Like 1
Link to comment
Share on other sites

Angelblue05

Thanks for reporting back!

 

Actually, I will release one more beta build very shortly. Hopefully, if all goes well, we will release a new stable version this week.

Link to comment
Share on other sites

Thanks for reporting back!

 

Actually, I will release one more beta build very shortly. Hopefully, if all goes well, we will release a new stable version this week.

Sorry but why can't you just release this for stable? since right now stable does not work can't get new content on any of my devices 

 

Thanks

Link to comment
Share on other sites

Angelblue05

Because nothing good ever comes from rushing these things. I will release the new stable early this week, probably Tuesday or Wednesday.

 

There's a few other modifications added since the last beta version. You can easily grab the individual zip and install it over stable until then.

Edited by Angelblue05
Link to comment
Share on other sites

xnappo

If stable server is going to break stable Emby for Kodi - unfortunately I think that a rushed release may be needed... 

Link to comment
Share on other sites

Angelblue05

If it completely breaks it, sure. But I think these changes are part of beta and haven't made it to stable yet. @@emko can you confirm your server version?

Edited by Angelblue05
Link to comment
Share on other sites

Hopsakee

@Angelblue05 It seems to work. Thanks.

 

By the way. Unlike (the hijacker ;) ) I still am on Emby server version 3.0.5985.0

 

@imadunatic

Not a problem you hijacked my post. Since you seem to have the same issue, it's more like 'underlining and bold printing' of my issue.

  • Like 1
Link to comment
Share on other sites

Angelblue05

Ok then, thanks for letting me know. I will do a stable release today then!

 

 

Sent from my iPhone using Tapatalk

  • Like 1
Link to comment
Share on other sites

TheNewGuy

I have a new Kodi setup that I'm having this issue on.   This is a Raspberry Pi 3 running Recalbox.  I've installed and configured the Emby addon in Kodi, but when I launch Kodi I immediately receive a message that the "Library sync thread has exited".  I've attached the log from the Kodi box.  This is the first Kodi client I've attempted to use in over a year so I'm unclear on when the issue started. 

 

 

kodi.log

Link to comment
Share on other sites

Angelblue05

@@TheNewGuy

 

Please see this for your log next time, there's no need to enable Kodi debug: http://emby.media/community/index.php?/topic/17599-how-to-report-a-problem/

 

I'm looking to fix your issue, give me a little bit. The reason it's not working is because of your advanced settings. If you remove it, it should work. However I'm looking to see if I can get it to work without removing it...

                                            <advancedsettings>
                                              <services>
                                                <webserver>true</webserver>
                                                <webserverport>8081</webserverport>
                                              </services>
                                            </advancedsettings>
Edited by Angelblue05
  • Like 1
Link to comment
Share on other sites

Angelblue05

@@TheNewGuy

 

Install this build over your current one, then restart Kodi. Let me know if it helps or if you see any side effects for your artwork. Thanks. I don't know if it's a bug in Kodi, but basically Kodi doesn't return any value to know if your webserver is enabled, and the port number, I'm guessing, due to the advancedsettings.

plugin.video.emby-2.2.19~alpha.zip

Edited by Angelblue05
Link to comment
Share on other sites

thiryjer

Same issue on 2 rasp and 1 wetek play but with 2.2.18 the problem is solved.

Many thanks for your rapidity...

 

Waiting now for 2.2.19 and new options

  • Like 1
Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...